package com.steerinfo.baseinfo.meterbaseprint.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.Date;

@ApiModel(value="null")
public class MeterBasePrint implements IBasePO<String> {
    /**
     * 编号(PRINT_ID,VARCHAR,50)
     */
    @ApiModelProperty(value="编号",required=true)
    private String printId;

    /**
     * 净重编号(ACTUAL_NO,VARCHAR,50)
     */
    @ApiModelProperty(value="净重编号",required=false)
    private String actualNo;

    /**
     * 打印日期(PRINT_DATE,TIMESTAMP,7)
     */
    @ApiModelProperty(value="打印日期",required=false)
    private Date printDate;

    /**
     * 打印次数(PRINT_NUM,VARCHAR,20)
     */
    @ApiModelProperty(value="打印次数",required=false)
    private String printNum;

    private static final long serialVersionUID = 1L;

    @Override
    public String getId() {
        return this.printId;
    }

    @Override
    public void setId(String printId) {
        this.printId = printId == null ? null : printId.trim();
    }

    public String getPrintId() {
        return printId;
    }

    public void setPrintId(String printId) {
        this.printId = printId == null ? null : printId.trim();
    }

    public String getActualNo() {
        return actualNo;
    }

    public void setActualNo(String actualNo) {
        this.actualNo = actualNo == null ? null : actualNo.trim();
    }

    public Date getPrintDate() {
        return printDate;
    }

    public void setPrintDate(Date printDate) {
        this.printDate = printDate;
    }

    public String getPrintNum() {
        return printNum;
    }

    public void setPrintNum(String printNum) {
        this.printNum = printNum == null ? null : printNum.trim();
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", printId=").append(printId);
        sb.append(", actualNo=").append(actualNo);
        sb.append(", printDate=").append(printDate);
        sb.append(", printNum=").append(printNum);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}